python-setuptools (33.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Generate sorted requires.txt files. Closes: #804249.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Jan 2017 18:02:25 +0100

python-setuptools (32.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Jan 2017 00:07:07 +0100

python-setuptools (32.0.0-1) unstable; urgency=medium

  * New upstream version.
  * Generate reproducible install_files.txt (Chris Lamb). Closes: #848136.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Dec 2016 12:48:40 +0100

python-setuptools (28.7.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Nov 2016 16:13:06 +0200

python-setuptools (28.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Sep 2016 02:18:01 +0200

python-setuptools (27.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Sep 2016 03:38:14 +0200

python-setuptools (26.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Aug 2016 08:17:49 +0200

python-setuptools (26.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Aug 2016 20:48:21 +0200

python-setuptools (25.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Aug 2016 23:17:15 +0200

python-setuptools (20.10.1-1) unstable; urgency=medium

  * New upstream version.
  * Re-add the changes file, missing upstream.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Apr 2016 21:52:22 +0200

python-setuptools (20.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Mar 2016 17:08:58 +0100

python-setuptools (20.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Stop building the -whl package.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Feb 2016 19:11:35 +0100

python-setuptools (20.0-2) unstable; urgency=medium

  * Use the pkg_resources from the source when building the docs.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Feb 2016 13:28:36 +0100

python-setuptools (20.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Feb 2016 11:08:25 +0100

python-setuptools (18.8-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 13 Dec 2015 14:51:22 +0100

python-setuptools (18.7.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Dec 2015 17:32:09 +0100

python-setuptools (18.7-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Dec 2015 13:14:59 +0100

python-setuptools (18.4-2) unstable; urgency=medium

  * Don't install the SOURCES.txt egg-info file when setup.py is called
    with --install-layout=deb. Closes: #802792.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Oct 2015 16:07:48 +0200

python-setuptools (18.4-1) unstable; urgency=medium

  * New upstream version.
  * Provide a unified entry_points.txt file.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Oct 2015 13:06:42 +0200

python-setuptools (18.3.1-2) unstable; urgency=medium

  * Don't blow away egg-info on clean (Stefano Rivera).
  * Remove the build dependency on python-setuptools.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Sep 2015 20:33:13 +0200

python-setuptools (18.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Build-depend on python-setuptools. Without this dependency, the scripts
    are not installed. Not yet known, why.  Closes: #795455.
  * Install the upstream changes file, not the empty history file.
    Closes: #798078.
  * Suggests the python-setuptools-doc package. Closes: #797731.

 -- Matthias Klose <doko@debian.org>  Thu, 10 Sep 2015 18:28:54 +0200

python-setuptools (18.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Sep 2015 22:29:34 +0200

python-setuptools (18.0.1-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Port to pybuild:
    - Build-Depend on dh-python.
  * Bump debhelper compat to 9 (and Build-Depends to >= 9)
  * Replace unnecessary dependencies on python*-all-dev packages with -all.
  * Drop deprecated ${python:Versions} and ${python:Provides} substitutions.
  * Drop constraints on packages that pre-date oldoldstable.
  * Add Suggests: python-setuptools on python-pkg-resources, matching
    python3-pkg-resources.
  * Drop ancient and irrelevant README.Debian.
  * Use dh_sphinxdoc's generated dependencies.
  * Replace accidental /usr/share/doc/html symlink with the intended
    /usr/share/doc/python3-setuptools/html.
  * Drop unnecessary easy_install-X.Y binaries.
    Users can use pythonX.Y -m easy_install, instead.
  * Drop .pth file. No longer necessary, we don't install eggs.
  * Add binary packages for pypy. Requires Build-Depends: pypy. Closes: #735855.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Aug 2015 14:21:28 +0200

python-setuptools (18.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Jul 2015 21:45:52 +0200

python-setuptools (17.0-1) unstable; urgency=medium

  * New upstream version.
  * Fix another issue with the multiarch patch (which can be dropped once
    3.5 is the only version in the distro).

 -- Matthias Klose <doko@debian.org>  Fri, 29 May 2015 15:13:19 +0200

python-setuptools (16.0-2) unstable; urgency=medium

  * Fix syntax error in multiarch patch (Brian Warner). Closes: #786446.

 -- Matthias Klose <doko@debian.org>  Thu, 21 May 2015 23:43:05 +0200

python-setuptools (16.0-1) unstable; urgency=medium

  * New upstream version. Closes: #784364.
  * Build for python 3.5.
  * Fix lintian warnings.
  * Build without the rst.linker plugin, not yet packaged.
  * python3-setuptools: Conflict with python3.5 (<< 3.5.0~a4-5).

 -- Matthias Klose <doko@debian.org>  Tue, 19 May 2015 11:56:21 +0200

python-setuptools (12.2-1) experimental; urgency=medium

  * New upstream version. Closes: #779036, #773969.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Feb 2015 15:04:59 +0100

python-setuptools (5.5.1-1) unstable; urgency=medium

  * New upstream version. Closes: #754089.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Aug 2014 13:50:59 +0200

python-setuptools (5.4.1-1) unstable; urgency=medium

  * New upstream version. Closes: #754089.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Jul 2014 19:33:26 +0200

python-setuptools (5.3-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Jul 2014 00:18:03 +0200

python-setuptools (4.0.1-1) unstable; urgency=medium

  * New upstream version.
  * Stop building for python 3.3. Closes: #751070.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Jun 2014 17:38:45 +0200

python-setuptools (3.6-1) unstable; urgency=medium

  * New upstream version.
  * Build a python-setuptools-whl package (Barry Warsaw). Closes: #748299.
  * Fix installation of the html documentation. Closes: #737889, #748586.

 -- Matthias Klose <doko@debian.org>  Wed, 21 May 2014 11:19:00 +0200

python-setuptools (3.4.4-1) unstable; urgency=medium

  * New upstream version.
    - Fix #184, build directory included into the package. Closes: #743644.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Apr 2014 21:28:18 +0200

python-setuptools (3.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Apr 2014 22:02:29 +0200

python-setuptools (3.3-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Mar 2014 18:36:35 +0100

python-setuptools (2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 18 Feb 2014 14:59:08 +0100

python-setuptools (2.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Jan 2014 21:55:39 +0100

python-setuptools (2.0.2-1) unstable; urgency=medium

  * New upstream version.
  * On installation with --install-layout=deb, rename extensions for
    python 3.3 (and newer) to include the multiarch tag.
    Renaming of extensions for python3.4 is currently not done by dh-python.
    See Debian #733128.

 -- Matthias Klose <doko@debian.org>  Tue, 31 Dec 2013 13:08:43 +0100

python-setuptools (2.0.1-2) unstable; urgency=medium

  * Build for python3.4.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Dec 2013 00:20:51 +0100

python-setuptools (2.0.1-1) unstable; urgency=medium

  * New upstream version.
  * Depend on python:any/python3:any rather than python/python3.
  * Rename python-distribute-doc to python-setuptools-doc.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Dec 2013 20:40:24 +0100

python-setuptools (1.4.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Dec 2013 16:55:48 +0100

python-setuptools (1.3.2-1) experimental; urgency=low

  * New upstream version (converged setuptools / distribute release).

 -- Matthias Klose <doko@debian.org>  Mon, 11 Nov 2013 21:45:15 +0100

distribute (0.6.49-2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix typo on python version in rules file. Closes: #715556.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Aug 2013 12:21:20 +0200

distribute (0.6.49-1) unstable; urgency=low

  * New upstream version.
  * Stop building for python3.2.

 -- Matthias Klose <doko@debian.org>  Sun, 04 Aug 2013 12:13:21 +0200

distribute (0.6.37-1) unstable; urgency=low

  * New upstream version.
  * Stop building for python2.6. Closes: #707140.

 -- Matthias Klose <doko@debian.org>  Wed, 08 May 2013 23:55:38 +0200

distribute (0.6.36-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Apr 2013 21:56:28 +0200

distribute (0.6.34-1) experimental; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Jan 2013 17:46:12 +0100

distribute (0.6.29-1) experimental; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 21 Oct 2012 19:41:01 +0200

distribute (0.6.28-1) experimental; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Aug 2012 11:43:26 +0200

distribute (0.6.24-1) unstable; urgency=low

  * New upstream version. Closes: #632516.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Oct 2011 22:38:22 +0200

distribute (0.6.16-1) unstable; urgency=medium

  * New upstream version.
  * Support Python >=3.1.4 and >=3.2.1.

 -- Matthias Klose <doko@debian.org>  Fri, 20 May 2011 11:30:25 +0200

distribute (0.6.15-2) unstable; urgency=low

  * Stop building for python2.5 and python3.1.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Apr 2011 21:58:45 +0200

distribute (0.6.15-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Mar 2011 01:37:31 +0100

distribute (0.6.14-5) experimental; urgency=low

  * Build for python 2.7 and 3.2.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Oct 2010 15:45:57 +0200

distribute (0.6.14-4) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Oct 2010 01:54:38 +0200

distribute (0.6.14-3) experimental; urgency=low

  * Tighten build dependency on python3, remove b-d on python-central.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Sep 2010 16:56:04 +0200

distribute (0.6.14-2) experimental; urgency=low

  * For python3, install into /usr/lib/python3/dist-packages by
    default, when setup.py install is called with --install-layout=deb.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Sep 2010 19:04:09 +0200 

distribute (0.6.14-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jul 2010 13:41:28 +0200

distribute (0.6.10-4) unstable; urgency=low

  * Don't include 3.1 related files in the filelists of python-* packages.
    Closes: #574153.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Mar 2010 12:27:47 +0100

distribute (0.6.10-3) unstable; urgency=low

  * Don't ship the python3 files in the python-* packages. Closes: #574079.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Mar 2010 08:23:18 +0100

distribute (0.6.10-2) unstable; urgency=low

  * Build packages for python3.1.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Mar 2010 16:51:00 +0100

distribute (0.6.10-1) unstable; urgency=low

  * New upstream version.
  * Stop building for python2.4. Closes: #557000.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Dec 2009 23:52:40 +0100

distribute (0.6.8-1) unstable; urgency=low

  * New upstream version.
  * Stop building for python2.4. Closes: #557000.

 -- Matthias Klose <doko@debian.org>  Thu, 12 Nov 2009 02:12:16 +0100

distribute (0.6.6-1) unstable; urgency=low

  * New upstream version.
  * Don't build python-distribute (yet). Move the egg-info into
    python-setuptools. Closes: #552154.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Oct 2009 13:13:23 +0200

distribute (0.6.4-1) unstable; urgency=low

  * Build python-setuptools from the `distribute' fork.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Oct 2009 00:12:26 +0200

python-setuptools (0.6c9-0ubuntu5) karmic; urgency=low

  * Fix building extensions with recent python 2.6.2+. Patch taken from
    http://bitbucket.org/tarek/distribute/issue/41/. LP: #428004.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2009 12:11:58 +0200

python-setuptools (0.6c9-0ubuntu4) jaunty; urgency=low

  * Update the installation schemes in easy_install to follow the modified
    distutils install command:
    - When the --prefix option is used for setup.py install, Use the
      `posix' scheme. LP: #344410.
    - Use the `deb_system' scheme if --install-layout=deb is specified.
    - Use the the `unix_local' scheme if neither --install-layout=deb
      nor --prefix is specified.
  * Always use the `posix' scheme for setup.py install in a virtualenv
    setup. LP: #339904.
  * Error out when easy_install tries to install into /usr, unless the
    (new) option --force-installation-into-system-dir is given (heh, this
    option name is even longer than --single-version-externally-managed).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Apr 2009 13:13:59 +0200

python-setuptools (0.6c9-0ubuntu3) jaunty; urgency=low

  * Fix interpreter name for the easy_install-2.6 script. LP: #332656.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Feb 2009 22:25:32 +0100

python-setuptools (0.6c9-0ubuntu2) jaunty; urgency=low

  * Rebuild to add python2.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Feb 2009 19:05:11 +0100

python-setuptools (0.6c9-0ubuntu1) intrepid; urgency=low

  * New upstream version (bug fixes from the stable branch).
    - Adds subversion 1.5 compatibility. LP: #262636.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Sep 2008 10:40:35 +0200

python-setuptools (0.6c8-4) unstable; urgency=low

  * Don't break with subversion-1.5. Closes: #489263.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Jul 2008 09:25:36 +0200

python-setuptools (0.6c8-3) unstable; urgency=low

  * Move site.py into the python-pkg-resources package.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Apr 2008 22:44:47 +0200

python-setuptools (0.6c8-2) unstable; urgency=low

  * python-pkg-resources: Conflict with python-setuptools. Closes: #468944.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Mar 2008 15:34:10 +0100

python-setuptools (0.6c8-1) unstable; urgency=low

  * New upstream version. Closes: #467012.
  * Split out a python-pkg-resources package (to be used as a runtime
    dependency instead of python-setuptools).

 -- Matthias Klose <doko@debian.org>  Fri, 29 Feb 2008 01:20:15 +0100

python-setuptools (0.6c7-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Nov 2007 10:57:34 -0400

python-setuptools (0.6c6-1) unstable; urgency=low

  * New upstream version (release candidate 6). Closes: #433556.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Jul 2007 02:11:49 +0200

python-setuptools (0.6c5-1ubuntu1) feisty; urgency=low

  * Use the unversioned interpreter name for scripts without
    version suffix. Ubuntu #94309.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Mar 2007 10:18:33 +0000

python-setuptools (0.6c5-1) unstable; urgency=low

  * New upstream version (release candidate 5).

 -- Matthias Klose <doko@debian.org>  Wed, 17 Jan 2007 18:00:39 +0000

python-setuptools (0.6c3-3) unstable; urgency=low

  * Drop 2.3.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Oct 2006 00:47:58 +0200

python-setuptools (0.6c3-2) unstable; urgency=low

  * Build for 2.3, 2.4, 2.5.

 -- Matthias Klose <doko@debian.org>  Sun, 22 Oct 2006 22:03:03 +0000

python-setuptools (0.6c3-1) unstable; urgency=medium

  * New upstream version (release candidate 3). Closes: #389780.

 -- Matthias Klose <doko@debian.org>  Wed,  4 Oct 2006 00:49:36 +0200

python-setuptools (0.6c2-1) unstable; urgency=low

  * New upstream version (release candidate 2). Closes: #382573.
  * /usr/bin/easy_install-2.3: Use python2.3 s interpreter. Closes: #386318.

 -- Matthias Klose <doko@debian.org>  Fri,  8 Sep 2006 03:19:43 +0200

python-setuptools (0.6b3-3) unstable; urgency=low

  * Workaround #375437.

 -- Matthias Klose <doko@debian.org>  Mon,  3 Jul 2006 14:08:53 +0000

python-setuptools (0.6b3-2) unstable; urgency=low

  * Add entry points for all versioned console scripts. Closes: #375975.

 -- Matthias Klose <doko@debian.org>  Sun,  2 Jul 2006 15:14:35 +0000

python-setuptools (0.6b3-1) unstable; urgency=low

  * New upstream version (closes: #354621).
    - OverflowError for amd64 build fixed (closes: #352176).

 -- Matthias Klose <doko@debian.org>  Fri,  9 Jun 2006 22:14:10 +0200

python-setuptools (0.6a8-0.1) unstable; urgency=low

  * NMU with maintainer approval
  * New upstream release
  * debian/rules: Create setuptools.pth to instruct python where the
    module is located. Closes: #330562

 -- Otavio Salvador <otavio@debian.org>  Thu, 24 Nov 2005 19:26:43 -0200

python-setuptools (0.6a6-1) unstable; urgency=low

  * New upstream version (closes: #335101).

 -- Matthias Klose <doko@debian.org>  Sun, 23 Oct 2005 13:14:22 +0000

python-setuptools (0.6a2-0.1) unstable; urgency=low

  * NMU with maintainer approval
  * New upstream release
  * Include a watch file to be easier to upgrade next time
  * Bump Standards-Version to 3.6.2 (no changes need)
  * Use Build-Depends-Indep since we don't build architecture dependent
    packages
  * Don't remove setuptools.egg-info directory on clean target since it's
    used now on building system since it use entry_points feature to its
    install

 -- Otavio Salvador <otavio@debian.org>  Sat, 24 Sep 2005 17:00:56 -0300

python-setuptools (0.5a13-1) unstable; urgency=low

  * New upstream version 0.5a13.

 -- Matthias Klose <doko@debian.org>  Mon, 18 Jul 2005 12:58:21 +0200

python-setuptools (0.0.1.041214-0ubuntu1) hoary; urgency=low

  * Initial Release.

 -- Matthias Klose <m@klose.in-berlin.de>  Tue, 14 Dec 2004 12:45:14 +0100

